package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.BucketObjectModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

import java.io.InputStream;

public interface BucketObjectProvider extends SuperProvider {
    BocloudResult list(String bucketName);

    BocloudResult remove(BucketObjectModel model);

    BocloudResult detail(BucketObjectModel model);

    InputStream download(BucketObjectModel model);

    BocloudResult upload(BucketObjectModel model);

    BocloudResult acl(BucketObjectModel model);
}
